import 'package:dio/dio.dart';
import '../../../../core/network/api_endpoints.dart';
import '../models/user_stats_model.dart';

class DashboardRemoteDatasource {
  final Dio _dio;

  DashboardRemoteDatasource(this._dio);

  Future<UserStatsModel> getStats() async {
    final response = await _dio.get(ApiEndpoints.stats);
    return UserStatsModel.fromJson(response.data as Map<String, dynamic>);
  }
}